require 'data_validation/comparison/comparison_factory'
require 'data_validation/data_access'
require 'yaml'

module DataValidation
  class << self

    def web_request_host
      'http://php.admin.laxpower.com'
    end

    def api_request_host
      'https://awmobile.active.com'
    end

    def compare_with_season_and_category(season = '17', category = 'boys')
      web_urls = DataAccess.get_high_school_div_stat_urls season, category
      web_urls.each do |url|
        compare_with_url url
      end
    end

    def compare_with_season(season = '17')
      compare_with_url(web_request_host + '/mll')
      compare_with_url(web_request_host + '/nll')
      compare_national(season)
      %w|men women boys girls|.each { |category| compare_with_season_and_category season, category }
    end

    def compare_with_url(url)
      puts "Start validation of web url: #{url}"

      comparison = DataValidation::Comparison::ComparisonFactory.get_comparison(url)
      comparison.compare

      puts "Complete validation of web url: #{url}"
      puts '=============================='
    end

    def compare_national(season = '17')
      categories = %w|boy grl|
      metrics = %w|ccr poll rating sos rpi qwf -wl|

      categories.each do |category|
        metrics.each do |metric|
          compare_with_url "http://php.admin.laxpower.com/update#{season}/bin#{category}/natl#{metric}.php"
        end
      end
    end
  end

end
