require 'data_validation/comparison/ranking_table_hs_comparison_base'

module DataValidation
  module Comparison
    class RankingTableHsQwfComparison < RankingTableHsComparisonBase

      def field_array
        ['rank', 'teamName', 'region', 'gameScheduled', 'qwf', 'totalWins', 'totalLosses', 'totalTies']
      end

      def rank_field
        'qwf'
      end

      def related_rank_field
        'rank'
      end

      def determine_request_body_and_logger_name
        @category = if web_url.match /bingrl/
                      'GIRLS'
                    elsif web_url.match /binboy/
                      'BOYS'
                    elsif web_url.match /binmen/
                      'MEN'
                    elsif web_url.match /binwom/
                      'WOMEN'
                    end

        @season = "20#{web_url.match(/update(..)/)[1]}"

        metric = web_url.match(/\/natl([a-z]+).php/)[1]

        @logger_name = "log/#{season}/#{category.downcase}/natl#{metric}_#{season}_#{category}.log"

        %Q|{"category":"#{category}","season":#{season}, "type": "QWR", "currPage":1,"pageSize":5000}|
      end
    end
  end
end