require 'data_validation/comparison/ranking_table_hs_comparison_base'

module DataValidation
  module Comparison
    class RankingTableHsRatingComparison < RankingTableHsComparisonBase

      def field_array
        ['rank', 'teamName', 'state', 'powerRating', 'pollRank', 'sos', 'winLossTotal', 'totalWins', 'totalLosses', 'totalTies']
      end

      def empty_field
        'pollRank'
      end

      def rank_field
        'powerRating'
      end

      def related_rank_field
        'rank'
      end

      def determine_request_body_and_logger_name
        @category = if web_url.match /bingrl/
                      'GIRLS'
                    elsif web_url.match /binboy/
                      'BOYS'
                    elsif web_url.match /binmen/
                      'MEN'
                    elsif web_url.match /binwom/
                      'WOMEN'
                    end

        @season = "20#{web_url.match(/update(..)/)[1]}"

        @logger_name = "log/#{season}/#{category.downcase}/natlrating_#{season}_#{category}.log"

        %Q|{"category":"#{category}","season":#{season}, "type": "PR", "currPage":1,"pageSize":5000}|
      end

    end
  end
end