require 'data_validation/comparison/comparison_base'

module DataValidation
  module Comparison
    class StateRankingComparison < ComparisonBase

      def api_path
        '/rest/LaxPower/stateRanking'
      end

      def field_array
        ['rank', 'teamName', 'powerRating', 'sosRank', %w|record wins|, %w|record losses|, %w|record ties|, 'state']
      end

      def rank_field
        'powerRating'
      end

      def related_rank_field
        'rank'
      end

      def determine_request_body_and_logger_name
        @category = if web_url.match /bingrl/
                      'GIRLS'
                    elsif web_url.match /binboy/
                      'BOYS'
                    elsif web_url.match /binmen/
                      'MEN'
                    elsif web_url.match /binwom/
                      'WOMEN'
                    end

        @season = "20#{web_url.match(/update(..)/)[1]}"

        state = web_url.match(/\/rating([a-z]+).php/)[1]

        @logger_name = "log/#{season}/#{category.downcase}/rating/rating_#{season}_#{category}_#{state}.log"

        %Q|{"category":"#{category}","season":#{season},"state":"#{state.upcase}","currPage":1,"pageSize":1000}|
      end

     end
  end
end